#include <rtthread.h>
#include <rtdevice.h>
#include <board.h>
#include <string.h>

#include "log.h"
#include "drv_light.h"
#include "drv_rgb.h"

#include "bf0_hal.h"
#include "drv_io.h"
#include "stdio.h"
#include "string.h"

#include "drv_config.h"
#include "mem_section.h"

#include "bf0_hal_rcc.h"

#include "rgb_strip_mgr.h"
#include "rgb_circle_mgr.h" 

int main(void)
{
    rt_pin_mode(61, PIN_MODE_OUTPUT);
    rt_pin_write(61, PIN_HIGH);

    rgb_drv_init();

    // rgb_strip_mgr_init();
    rgb_circle_mgr_init();

    // rgb_strip_mgr_play_start();
    rgb_circle_mgr_play_start();

    rt_kprintf("func: %s, 11111111started.\r\n", __func__);

    while (1) {
        rt_kprintf("func: %s, 22222222.\r\n", __func__);
        rt_thread_mdelay(500);
    }
    return 0;
}



